%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kttsd
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

%define enable_gstreamer 1

# Warning this lib was moved into kde-3.4
# Obsolete it when we move to kde-3.4

Name:		kttsd
Summary:	KTTS -- KDE Text-to-Speech.
Version:	0.3.0
Release:	9mdk
Source0:	%{name}-%{version}.src.tar.bz2
URL:		http://accessibility.kde.org/developer/kttsd/
Group:		Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	fam-devel libkdebase-kate-devel kdebase-devel
Requires:	%{lib_name} = %{version}-%{release}
Requires:	festival

%if %enable_gstreamer
BuildRequires:	libgstreamer-devel
%endif

Patch1:		kttsd-0.3.0-fix-export.patch.bz2
Patch2:		kttsd-disable-visibility.patch.bz2
Patch3:		kttsd-0.3.0-fix-export-value.patch.bz2
Patch4:		kttsd-0.3.0-fix-kde-bug-100027.patch.bz2
Patch5:		kttsd-0.3.0-remove-gstreamer-depend.patch.bz2
Patch6:		kttsd-0.3.0-fix-kde-bug-102504.patch.bz2

%description
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.
 _ Audio output via aRts or GStreamer (version 0.8.7 or later)


%package -n %{name}-gstreamer
Group:      Development/KDE and Qt
Summary:    Gstreamer plugins
Requires:	%name=%version
Requires:	%{name}-gstreamer=%version

%description -n %{name}-gstreamer
Plugins for gstreamer

%package -n %{lib_name}-gstreamer
Group:      Development/KDE and Qt
Summary:    Librairy for Gstreamer plugins

%description -n %{lib_name}-gstreamer
Librairy for gstreamer plugins


%package -n	%{lib_name}
Group:		Development/KDE and Qt
Summary:	Library files for Ktts

%description -n	%{lib_name}
Librairies file for Ktts

%package -n	%{lib_name}-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing ktts
Requires:	%{lib_name} = %{version}-%{release}


%description -n	%{lib_name}-devel
Header files needed for developing ktts applications.

%prep
%setup -q
%patch1 -p1 -b .fix_export
#%patch2 -p0 -b .disable_visibility
%patch3 -p1 -b .fix_export_value
%patch4 -p0 -b .fix_kde_bug_100027
%patch5 -p0 -b .fix_remove_gstreamer_depend
%patch6 -p1 -b .fix_kde_bug_102504

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath \
           --disable-debug \
		   --enable-final \
%if %enable_gstreamer
			--enable-kttsd-gstreamer \
%endif
		   --disable-debug

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Menu
#install -d $RPM_BUILD_ROOT%{_menudir}
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "More Applications/Accessibility" $RPM_BUILD_ROOT%_datadir/applications/kde/kttsmgr.desktop $RPM_BUILD_ROOT%{_menudir}/kttsmgr


kdedesktop2mdkmenu.pl %{name} "System/Configuration/KDE/" $RPM_BUILD_ROOT%_datadir/applications/kde/kcmkttsd.desktop $RPM_BUILD_ROOT%{_menudir}/kcmkttsd


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%post -n %lib_name-gstreamer -p /sbin/ldconfig

%postun -n %lib_name-gstreamer -p /sbin/ldconfig


%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig


%files -n %name-gstreamer
%defattr(-,root,root)
%_datadir/services/*gstplugin.desktop

%files -n %lib_name-gstreamer
%defattr(-,root,root)
%_libdir/kde3/*gstplugin.la
%_libdir/kde3/*gstplugin.so


%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/kcm_kttsd.la
%_libdir/kde3/kcm_kttsd.so
%_libdir/kde3/ktexteditor_kttsd.la
%_libdir/kde3/ktexteditor_kttsd.so
%_libdir/kde3/libkhtmlkttsdplugin.la
%_libdir/kde3/libkhtmlkttsdplugin.so
%_libdir/kde3/libkttsd_artsplugin.la
%_libdir/kde3/libkttsd_artsplugin.so
%_libdir/kde3/libkttsd_commandplugin.la
%_libdir/kde3/libkttsd_commandplugin.so
%_libdir/kde3/libkttsd_eposplugin.la
%_libdir/kde3/libkttsd_eposplugin.so
%_libdir/kde3/libkttsd_festivalintplugin.la
%_libdir/kde3/libkttsd_festivalintplugin.so
%_libdir/kde3/libkttsd_fliteplugin.la
%_libdir/kde3/libkttsd_fliteplugin.so
%_libdir/kde3/libkttsd_freettsplugin.la
%_libdir/kde3/libkttsd_freettsplugin.so
%_libdir/kde3/libkttsd_hadifixplugin.la
%_libdir/kde3/libkttsd_hadifixplugin.so
%_libdir/kde3/libkttsd_sbdplugin.la
%_libdir/kde3/libkttsd_sbdplugin.so
%_libdir/kde3/libkttsd_stringreplacerplugin.la
%_libdir/kde3/libkttsd_stringreplacerplugin.so
%_libdir/kde3/libkttsd_talkerchooserplugin.la
%_libdir/kde3/libkttsd_talkerchooserplugin.so
%_libdir/kde3/libkttsd_xmltransformerplugin.la
%_libdir/kde3/libkttsd_xmltransformerplugin.so
%_libdir/kde3/libkttsjobmgrpart.la
%_libdir/kde3/libkttsjobmgrpart.so



%_libdir/libkttsd.so.*
%_libdir/libkttsd.la


%files -n %lib_name-devel
%defattr(-,root,root)
#
%_includedir/*.h
%_libdir/libkttsd.so

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

%_menudir/*

%_datadir/services/ktexteditor_kttsd.desktop
%_datadir/services/kttsd.desktop
%_datadir/services/kttsd_artsplugin.desktop
%_datadir/services/kttsd_commandplugin.desktop
%_datadir/services/kttsd_eposplugin.desktop
%_datadir/services/kttsd_festivalintplugin.desktop
%_datadir/services/kttsd_fliteplugin.desktop
%_datadir/services/kttsd_freettsplugin.desktop
%_datadir/services/kttsd_hadifixplugin.desktop
%_datadir/services/kttsd_sbdplugin.desktop
%_datadir/services/kttsd_stringreplacerplugin.desktop
%_datadir/services/kttsd_talkerchooserplugin.desktop
%_datadir/services/kttsd_xmltransformerplugin.desktop
%_datadir/services/kttsjobmgr.desktop

%_datadir/servicetypes/*.desktop

%dir %_datadir/apps/kttsd/festivalint
%_datadir/apps/kttsd/festivalint/*

%dir %_docdir/HTML/en/kttsd/
%doc %_docdir/HTML/en/kttsd/*.png
%doc %_docdir/HTML/en/kttsd/*.bz2
%doc %_docdir/HTML/en/kttsd/common
%doc %_docdir/HTML/en/kttsd/*.docbook


%dir %_docdir/HTML/da/kttsd/
%doc %_docdir/HTML/da/kttsd/*.png
%doc %_docdir/HTML/da/kttsd/*.bz2
%doc %_docdir/HTML/da/kttsd/common
%doc %_docdir/HTML/da/kttsd/*.docbook

%dir %_docdir/HTML/de/kttsd/
%doc %_docdir/HTML/de/kttsd/*.png
%doc %_docdir/HTML/de/kttsd/*.bz2
%doc %_docdir/HTML/de/kttsd/common
%doc %_docdir/HTML/de/kttsd/*.docbook

%dir %_docdir/HTML/it/kttsd/
%doc %_docdir/HTML/it/kttsd/*.png
%doc %_docdir/HTML/it/kttsd/*.bz2
%doc %_docdir/HTML/it/kttsd/common
%doc %_docdir/HTML/it/kttsd/*.docbook

%dir %_docdir/HTML/pt/kttsd/
%doc %_docdir/HTML/pt/kttsd/*.png
%doc %_docdir/HTML/pt/kttsd/*.bz2
%doc %_docdir/HTML/pt/kttsd/common
%doc %_docdir/HTML/pt/kttsd/*.docbook

%dir %_docdir/HTML/sv/kttsd/
%doc %_docdir/HTML/sv/kttsd/*.png
%doc %_docdir/HTML/sv/kttsd/*.bz2
%doc %_docdir/HTML/sv/kttsd/common
%doc %_docdir/HTML/sv/kttsd/*.docbook


%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/khtmlkttsd.desktop

%dir %_datadir/apps/ktexteditor_kttsd/
%_datadir/apps/ktexteditor_kttsd/ktexteditor_kttsdui.rc

%dir %_datadir/apps/kttsd/
%_datadir/apps/kttsd/kcmkttsd_testmessage.desktop

%dir %_datadir/apps/kttsd/sbd/
%_datadir/apps/kttsd/sbd/polish_festival_sbdrc
%_datadir/apps/kttsd/sbd/standard_sbdrc

%dir %_datadir/apps/kttsd/stringreplacer/
%_datadir/apps/kttsd/stringreplacer/*.xml

%dir %_datadir/apps/kttsd/talkerchooser/
%_datadir/apps/kttsd/talkerchooser/*

%dir %_datadir/apps/kttsd/xmltransformer/
%_datadir/apps/kttsd/xmltransformer/*.xsl

%_datadir/applications/kde/kcmkttsd.desktop
%_datadir/applications/kde/kttsmgr.desktop

%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/khtmlkttsd.rc

%dir %_datadir/apps/kttsd/
%dir %_datadir/apps/kttsd/hadifix/
%dir %_datadir/apps/kttsd/hadifix/xslt/
%_datadir/apps/kttsd/hadifix/xslt/SSMLtoTxt2pho.xsl

%dir %_datadir/apps/kttsd/icons/
%dir %_datadir/apps/kttsd/icons/crystalsvg/
%dir %_datadir/apps/kttsd/icons/crystalsvg/128x128/
%dir %_datadir/apps/kttsd/icons/crystalsvg/128x128/apps/
%_datadir/apps/kttsd/icons/crystalsvg/128x128/apps/kttsd.png

%dir %_datadir/apps/kttsd/icons/crystalsvg/16x16/
%dir %_datadir/apps/kttsd/icons/crystalsvg/16x16/apps/

%_datadir/apps/kttsd/icons/crystalsvg/16x16/apps/kttsd.png

%dir %_datadir/apps/kttsd/icons/crystalsvg/22x22/
%dir %_datadir/apps/kttsd/icons/crystalsvg/22x22/apps/
%_datadir/apps/kttsd/icons/crystalsvg/22x22/apps/kttsd.png

%dir %_datadir/apps/kttsd/icons/crystalsvg/32x32/
%dir %_datadir/apps/kttsd/icons/crystalsvg/32x32/apps/
%_datadir/apps/kttsd/icons/crystalsvg/32x32/apps/kttsd.png

%dir %_datadir/apps/kttsd/icons/crystalsvg/48x48/
%dir %_datadir/apps/kttsd/icons/crystalsvg/48x48/apps/
%_datadir/apps/kttsd/icons/crystalsvg/48x48/apps/kttsd.png

%dir %_datadir/apps/kttsd/icons/crystalsvg/64x64/
%dir %_datadir/apps/kttsd/icons/crystalsvg/64x64/apps/
%_datadir/apps/kttsd/icons/crystalsvg/64x64/apps/kttsd.png


%_datadir/apps/kttsd/icons/crystalsvg/scalable/apps/kttsd.svgz

%dir %_datadir/apps/kttsd/xslt/
%_datadir/apps/kttsd/xslt/SSMLtoPlainText.xsl

%dir %_datadir/apps/kttsjobmgr/
%_datadir/apps/kttsjobmgr/kttsjobmgrui.rc

%_datadir/icons/crystalsvg/128x128/apps/kttsd.png
%_datadir/icons/crystalsvg/16x16/apps/kttsd.png
%_datadir/icons/crystalsvg/22x22/apps/kttsd.png
%_datadir/icons/crystalsvg/32x32/apps/kttsd.png
%_datadir/icons/crystalsvg/48x48/apps/kttsd.png
%_datadir/icons/crystalsvg/64x64/apps/kttsd.png
%_datadir/icons/crystalsvg/scalable/apps/kttsd.svgz
%_datadir/icons/hicolor/16x16/actions/female.png
%_datadir/icons/hicolor/16x16/actions/male.png


%_datadir/locale/bg/LC_MESSAGES/*.mo
%_datadir/locale/br/LC_MESSAGES/*.mo
%_datadir/locale/ca/LC_MESSAGES/*.mo
%_datadir/locale/cy/LC_MESSAGES/*.mo
%_datadir/locale/da/LC_MESSAGES/*.mo
%_datadir/locale/de/LC_MESSAGES/*.mo
%_datadir/locale/en_GB/LC_MESSAGES/*.mo
%_datadir/locale/es/LC_MESSAGES/*.mo
%_datadir/locale/et/LC_MESSAGES/*.mo
%_datadir/locale/fi/LC_MESSAGES/*.mo
%_datadir/locale/fr/LC_MESSAGES/*.mo
%_datadir/locale/ga/LC_MESSAGES/*.mo
%_datadir/locale/hu/LC_MESSAGES/*.mo
%_datadir/locale/is/LC_MESSAGES/*.mo
%_datadir/locale/it/LC_MESSAGES/*.mo
%_datadir/locale/lt/LC_MESSAGES/*.mo
%_datadir/locale/mt/LC_MESSAGES/*.mo
%_datadir/locale/nl/LC_MESSAGES/*.mo
%_datadir/locale/pl/LC_MESSAGES/*.mo
%_datadir/locale/pt/LC_MESSAGES/*.mo
%_datadir/locale/pt_BR/LC_MESSAGES/*.mo
%_datadir/locale/ru/LC_MESSAGES/*.mo
%_datadir/locale/sr/LC_MESSAGES/*.mo
%_datadir/locale/sv/LC_MESSAGES/*.mo
%_datadir/locale/ta/LC_MESSAGES/*.mo
%_datadir/locale/tr/LC_MESSAGES/*.mo
%_datadir/locale/uk/LC_MESSAGES/*.mo



%changelog
* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-9mdk
- Add patch6: fix kde bug #102504

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-8mdk
- Fix compile on x86_64

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-7mdk
- Add patch5: fix remove gstreamer depend

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-6mdk
- Add patch4: fix kde bug #100027

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-5mdk
- Fix spec
- Enable compile gstreamer

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-4mdk
- Fix export

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-3mdk
- Add patch2: disable visibility

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-2mdk
- Add patch1: fix export

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.0-4mdk
- add BuildRequires: kdebase-devel

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-3mdk
- fix buildrequires
- cosmetics

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.0-2mdk
- Fix spec

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2-1mdk
- First package
